%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Routes
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Routes
Version:        2.0.5
Release:        2%{?dist}
Summary:        Horde Routes URL mapping system

Group:          Development/Libraries
License:        BSD
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-common >= 5.3.0
Requires:       php-pcre
Requires:       php-spl
# note xml extension provided by php-common and not php-xml
# but this will change in a near futur
Requires:       php-xml
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Exception) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Util) >= 3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Classes for mapping URLs into the controllers and actions of an MVC system.
It is a port of a Python library, Routes, by Ben Bangert
(http://routes.groovie.org).


%prep
%setup -q -c

cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    -d date.timezone=UTC \
    --bootstrap bootstrap.php .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Routes
%{pear_testdir}/%{pear_name}


%changelog
* Mon Jun 22 2020 josef radinger <cheese@nosuchhost.net> - 2.0.5-2
- bump version
- fix check-section

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.0.5-1
- bump version
- fix check-section

* Fri May 01 2015 josef radinger <cheese@nosuchhost.net> - 2.0.4-1
- bump version

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.0.3-1
- bump version
- rebuild

* Wed Jan  9 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2 for remi repo
- drop patch merged upstream

* Sat Dec 15 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-2
- add patch for http://bugs.horde.org/ticket/11894

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Initial package
